dnl libdhcp4client.m4 - libdhcp4client checks
dnl
dnl Copyright (C) 2007  Red Hat, Inc.  All rights reserved.
dnl
dnl This copyrighted material is made available to anyone wishing to use,
dnl modify, copy, or redistribute it subject to the terms and conditions of
dnl the GNU General Public License v.2, or (at your option) any later version.
dnl This program is distributed in the hope that it will be useful, but WITHOUT
dnl ANY WARRANTY expressed or implied, including the implied warranties of
dnl MERCHANTABILITY or FITNESS FOR A * PARTICULAR PURPOSE.  See the GNU General
dnl Public License for more details.  You should have received a copy of the
dnl GNU General Public License along with this program; if not, write to the
dnl Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
dnl 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
dnl source code or documentation are not subject to the GNU General Public
dnl License and may only be used or replicated with the express permission of
dnl Red Hat, Inc.
dnl
dnl Red Hat Author(s): David Cantrell <dcantrell@redhat.com>

dnl Check for libdhcp4client
dnl $1   Minimum version of libdhcp4client we require (e.g., 3.0.6)
AC_DEFUN([AM_CHECK_LIBDHCP4CLIENT],
[PKG_CHECK_MODULES(libdhcp4client, libdhcp4client >= $1)

AC_SUBST(LIBDHCP4CLIENT_CFLAGS)
AC_SUBST(LIBDHCP4CLIENT_INCLUDES)
AC_SUBST(LIBDHCP4CLIENT_LIBS)
AC_SUBST(LIBDHCP4CLIENT_LDFLAGS)

AC_CHECK_LIB([dhcp4client], [dhcpv4_client], [:],
       [AC_MSG_FAILURE([*** Unable to find requested library libdhcp4client])])

AC_CHECK_HEADERS([dhcp4client/dhcp4client.h], [],
                 [AC_MSG_FAILURE([*** Header file $ac_header not found.])])

dnl Use pkg-config to gather compile flags
LIBDHCP4CLIENT_INCLUDES="$(pkg-config --cflags-only-I libdhcp4client)"
LIBDHCP4CLIENT_CFLAGS="$(pkg-config --cflags-only-other libdhcp4client)"
LIBDHCP4CLIENT_LIBS="$(pkg-config --libs-only-l libdhcp4client)"
LIBDHCP4CLIENT_LDFLAGS="$(pkg-config --libs-only-other libdhcp4client)"

LIBDHCP4CLIENT_VERSION=$1
])
